BatchResourceApi (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger

## Class BatchResourceApi

- java.lang.Object
- - com.cloudera.api.swagger.BatchResourceApi

-     public class BatchResourceApi
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BatchResourceApi()`
    `BatchResourceApi(ApiClient apiClient)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiBatchResponse` | `execute(ApiBatchRequest body)` Executes a batch of API requests in one database transaction.
    `okhttp3.Call` | `executeAsync(ApiBatchRequest body, ApiCallback<ApiBatchResponse> callback)` Executes a batch of API requests in one database transaction.
    `okhttp3.Call` | `executeCall(ApiBatchRequest body, ProgressResponseBody.ProgressListener progressListener, ProgressRequestBody.ProgressRequestListener progressRequestListener)` Build call for execute
    `ApiResponse<ApiBatchResponse>` | `executeWithHttpInfo(ApiBatchRequest body)` Executes a batch of API requests in one database transaction.
    `ApiClient` | `getApiClient()`
    `void` | `setApiClient(ApiClient apiClient)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BatchResourceApi

          public BatchResourceApi()

    - #### BatchResourceApi

          public BatchResourceApi(ApiClient apiClient)

  - ### Method Detail

    - #### getApiClient

          public ApiClient getApiClient()

    - #### setApiClient

          public void setApiClient(ApiClient apiClient)

    - #### executeCall

          public okhttp3.Call executeCall(ApiBatchRequest body,
                                          ProgressResponseBody.ProgressListener progressListener,
                                          ProgressRequestBody.ProgressRequestListener progressRequestListener)
                                   throws ApiException

      Build call for execute
      Parameters:
        `body` - Batch of request to execute. (optional)
        `progressListener` - Progress listener
        `progressRequestListener` - Progress request listener
      Returns:
        Call to execute
      Throws:
        `ApiException` - If fail to serialize the request body object

    - #### execute

          public ApiBatchResponse execute(ApiBatchRequest body)
                                   throws ApiException

      Executes a batch of API requests in one database transaction. Executes a batch of API requests in one database transaction. If any request fails, execution halts and the transaction is rolled back.
      Parameters:
        `body` - Batch of request to execute. (optional)
      Returns:
        ApiBatchResponse
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### executeWithHttpInfo

          public ApiResponse<ApiBatchResponse> executeWithHttpInfo(ApiBatchRequest body)
                                                            throws ApiException

      Executes a batch of API requests in one database transaction. Executes a batch of API requests in one database transaction. If any request fails, execution halts and the transaction is rolled back.
      Parameters:
        `body` - Batch of request to execute. (optional)
      Returns:
        ApiResponse<ApiBatchResponse>
      Throws:
        `ApiException` - If fail to call the API, e.g. server error or cannot deserialize the response body

    - #### executeAsync

          public okhttp3.Call executeAsync(ApiBatchRequest body,
                                           ApiCallback<ApiBatchResponse> callback)
                                    throws ApiException

      Executes a batch of API requests in one database transaction. (asynchronously) Executes a batch of API requests in one database transaction. If any request fails, execution halts and the transaction is rolled back.
      Parameters:
        `body` - Batch of request to execute. (optional)
        `callback` - The callback to be executed when the API call finishes
      Returns:
        The request call
      Throws:
        `ApiException` - If fail to process the API call, e.g. serializing the request body object

Copyright © 2026. All rights reserved.